Subject: Re: [core] Where to work on AA/revocation

From: Zach Shelby <[email-masked]>
Date: Tue, 30 Jul 2013 11:22:45 +0200

(sorry for the cross-mailing list traffic)

Olaf,

This is the first IETF where this cluster of new AA proposals have come out of the woodwork, so be patient finding a home for it. DICE is really about optimising the use of DTLS in IoT, and we're keeping that focus for at least the first charter as we have a couple very focused problems to solve.

Regarding the AA presentations that were given in CoRE yesterday. Yes I do agree that the IETF should work in this area, but it was also clear yesterday in CoRE that we don't all understand the set of requirements that need to be solved. We are still living in the solution looking for a problem phase. In addition to that there are also revocation proposals that have been submitted recently, and a clear need for ACL management. 

The nice thing about the IETF, is that even if you don't have a home for work yet, you can still work on it. I would encourage the authors doing AA and revocation related work to get together, figure out what the actual problems to be solved are (talk to industry too) and then combine solutions. CoRE is still probably a good mailing list to do that on for now. As more people are agreeing about the problem space and are interested to work on the (same) problem, we can find/make a home.

Zach

On Jul 30, 2013, at 10:20 AM, Olaf Bergmann <[email-masked]> wrote:

> Zach Shelby <[email-masked]> writes:
> 
>> Hi Corinna,
>> 
>> On Jul 30, 2013, at 7:16 AM, Corinna Schmitt <[email-masked]> wrote:
>> 
>>> Just for information concerning our draft
>>> http://tools.ietf.org/html/draft-schmitt-two-way-authentication-for-iot-00:
>>> We already started to implemented a solution and evaluated a little
>>> bit. So we would be glad if our draft will be approved and stay in
>>> DICE.
>> 
>> Your draft was actually discussed yesterday in the CoRE WG meeting in
>> the scope of general authentication and authorisation in CoRE. This
>> subject will be out of scope for the first DICE charter as we already
>> have a couple concrete problems to solve. It is not clear where the
>> "AA" work will end up, probably in some other new working group, or
>> maybe in some future re-chartering of DICE.
> 
> The discussion yesterday was a bit low on the guidance level how to
> proceed. Even if this topic is not the most pressing for DICE, I highly
> recommend to work on this space *now*.
> 
> Corinna, maybe we could team up with the other authors of the relevant
> drafts to find out what the next steps are? We had a quick talk with
> Göran yesterday, and he also had the impression that the WG could have
> been more active in giving feedback on these drafts.

-- 
Zach Shelby, Chief Nerd, Sensinode Ltd.
http://www.sensinode.com @SensinodeIoT
Mobile: +358 40 7796297
Twitter: @zach_shelby
LinkedIn: http://fi.linkedin.com/in/zachshelby
6LoWPAN Book: http://6lowpan.net